@echo off
goto 00_Start
###############################################################################

DEMOSUB.BAT - subprogram for DEMO.BAT

Environment variables expected to be set:
    G - GREP program (without .exe)
    X - options to be used

Usage:
        call DEMO short|long
or:
        call DEMO short|long filename

parameters:
    short or long tells whether command output is short (no PAUSE required
                  before, no MORE required after)
    filename, if present, receives output instead of the screen

2001-11-25  author: Stan Brown, Oak Road Systems

                 Copyright 2001   Stan Brown, Oak Road Systems
                           http://oakroadsystems.com
###############################################################################
:00_Start

if "%2" == "" goto 20_Interactive
echo. >>%2
echo ====================================================================== >>%2
echo %G% /z %X% >>%2
echo ====================================================================== >>%2
%G% /z %X% >>%2
echo. >>%2
echo. >>%2
goto 99_Exit

:20_Interactive
if "%1" == "short" goto 30_InteractiveShort
echo.
echo about to execute: %G% /z %X%
echo.
pause
%G% /z %X% | more
pause
goto 99_Exit

:30_InteractiveShort
echo.
echo executing: %G% /z %X%
echo.
%G% /z %X%
echo.

:99_Exit
rem :: vim: ic tw=0 comments=n\:\:\:,n\:echo,n\:rem
